OtherAPI ReferenceSpeech-to-TextFiles

Delete file

Permanently deletes specified file. If a transcription that has not started processing yet still references the file, that transcription fails with `file_not_found`, so delete the file only after the transcription reaches `completed` or `error`.

DELETE
https://api.soniox.com/v1/files/{file_id}

Permanently deletes specified file. If a transcription that has not started processing yet still references the file, that transcription fails with file_not_found, so delete the file only after the transcription reaches completed or error.

Headers

AuthorizationRequiredBearer <SONIOX_API_KEY>

Path parameters

file_idRequiredstring
Format: "uuid"

Response

204

File deleted.

Errors

File deleted.